#
# spec file for package python-backports.unittest_mock
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%if %{python3_version_nodots} >= 33
%define skip_python3 1
%endif
Name:           python-backports.unittest_mock
Version:        1.4
Release:        2.1
Summary:        Backports of unittest_mock
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/jaraco/backports.unittest_mock
Source:         https://files.pythonhosted.org/packages/source/b/backports.unittest_mock/backports.unittest_mock-%{version}.tar.gz
# NOTE:
# %%{python_sitelib}/backports is a namespace package, and so under python 2 it must have a proper namespace __init__.py
# python-backports provides this __init__.py to prevent backports packages from conflicting.
# Please see:
#    https://pypi.python.org/pypi/backports/
#    https://www.python.org/dev/peps/pep-0420/%23namespace-packages-today
# If you need to link, the python-backports package is built as a subpackage of python-configparser
BuildRequires:  %{python_module backports}
BuildRequires:  %{python_module setuptools_scm}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-backports
Requires:       python-mock
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module mock}
BuildRequires:  %{python_module pytest}
# /SECTION
%python_subpackages

%description
Provides a function "install()" which makes the "mock" module
available as "unittest.mock" on Python 3.2 and earlier.
Also advertises a pytest plugin which configures unittest.mock
automatically.

%prep
%setup -q -n backports.unittest_mock-%{version}
rm -rf backports.unittest_mock.egg-info
rm -f pytest.ini

%build
%python_build

%install
%python_install
%python_expand rm %{buildroot}%{$python_sitelib}/backports/__init__.py*
%python_expand rm -rf %{buildroot}%{$python_sitelib}/backports/__pycache__/
%python_expand %fdupes %{buildroot}%{$python_sitelib}/backports/unittest_mock/

%check
mv backports backports_temp
%{python_expand export PYTHONPATH=%{buildroot}%{$python_sitelib}
ln -s %{$python_sitelib}/backports/__init__.py %{buildroot}%{$python_sitelib}/backports/
py.test-%{$python_bin_suffix} -v
rm -r %{buildroot}%{$python_sitelib}/backports/__init__.py*
rm -rf %{buildroot}%{$python_sitelib}/backports/__pycache__/
}
mv backports_temp backports

%files %{python_files}
%doc CHANGES.rst README.rst
%license LICENSE
%{python_sitelib}/backports/unittest_mock/
%{python_sitelib}/backports.unittest_mock-*

%changelog
* Fri Mar  1 2019 tchvatal@suse.com
- Update to 1.4:
  * Add pytest trove classifier
* Tue Dec  4 2018 mcepl@suse.com
- Remove superfluous devel dependency for noarch package
* Fri Mar 23 2018 toddrme2178@gmail.com
- Switch to singlespec package
- Build for python3 < 3.3
- Make structure consistent with other backports packages
* Mon Jul 10 2017 aloisio@gmx.com
- Update to version 1.3
  * Merge with skeleton.
  * Use pkgutil for backports namespace package.
  1.2.1:
  * Bump setuptools_scm and other skeleton updates, including:
    Drop support for setup.py build_sphinx because that usage
    conflicts with the usage required by readthedocs, which always
    runs the docs build from ./docs/ instead of ./. Also drop
    support for build_sphinx because the dependency resolution of
    that command relies on easy_install, which is also deprecated.
    The proper way to build docs now is to install the requirements
    in docs/requirements.txt and then invoke sphinx natively.
* Wed May 24 2017 jmatejek@suse.com
- do not build docs, they are available in official Python
  documentation
* Fri Mar 31 2017 toddrme2178@gmail.com
-  %%{python_sitelib}/backports is a namespace package, and so under
  python 2.x it must have a proper
  %%{python_sitelib}/backports/__init__.py file.
  python-backports provides this __init__.py to prevent backports
  packages from conflicting.
  Please see the following links for more details:
    https://pypi.python.org/pypi/backports/
    https://www.python.org/dev/peps/pep-0420/%%23namespace-packages-today
* Thu Mar 30 2017 toddrme2178@gmail.com
- Add python2 provides.
- Use the common __init__.py used by the python-backports package
  to avoid conflicts.
* Tue Aug  2 2016 sor.alexei@meowr.ru
- Switch to Python2.
- Add build_sphinx.
- Minor spec cleanups.
* Sat Jul 16 2016 arun@gmx.de
- initial version
